Package net.shibboleth.idp.authn.impl

# Class ValidateExternalAuthentication.CertificateCleanupHook

java.lang.Object
net.shibboleth.idp.authn.impl.ValidateExternalAuthentication.CertificateCleanupHook

All Implemented Interfaces:
  `Consumer<ProfileRequestContext>`

Enclosing class:
  ValidateExternalAuthentication

public static class ValidateExternalAuthentication.CertificateCleanupHook extends Object implements Consumer<ProfileRequestContext>
A default cleanup hook that removes a `CertificateContext` from the tree.

Since:
  4.3.0

## Constructor Summary

Constructors
Constructor
Description
`CertificateCleanupHook()`

## Method Summary

Modifier and Type
Method
Description
`void`
`accept(ProfileRequestContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Consumer

`andThen`

## Constructor Details

### CertificateCleanupHook

public CertificateCleanupHook()

## Method Details

### accept

public void accept(@Nullable ProfileRequestContext input)

Specified by:
  `accept` in interface `Consumer<ProfileRequestContext>`